WordPress安装WP Super Cache警告! /opt/bitnami/apps/wordpress/htdocs/wp-content/advanced-cache.php 不存在或者不可被更新–解决方法

已经从wordpress后台安装了插件WP Super Cache,却显示“WP Super Cache 已禁用。请去 <a href="http://gtlleon.com/wp-admin/options-general.php?page=wpsupercache">插件管理首页</a> 开启缓存功能。”,然后点击设置--WP Super Cache,却提示“警告! /opt/bitnami/apps/wordpress/htdocs/wp-content/advanced-cache.php 不存在或者不可被更新。”按照提示的步骤进行修改后发现仍然报错,后来发现原因是除了要给wp-content文件夹设置读写权限外,还要给wp-config.php文件设置读写权限。

解决方法:

1、先通过putty连接到服务器,然后输入chmod 777 /opt/bitnami/apps/wordpress/htdocs/wp-content回车运行,给wp-content文件夹设置读写权限;  

//cdn.gtlleon.com/wp-content/uploads/2017/06/3.png

2、接着给htdocs根目录下的wp-config.php设置读写权限  

//cdn.gtlleon.com/wp-content/uploads/2017/06/4-1.png

然后回到wordpress后台刷新刚才的错误页面,发现已经成功进入WP Super Cache 设置,但是却还有另外一个警告提示,这个时候只要再在putty输入chmod 755 /opt/bitnami/apps/wordpress/htdocs/wp-content/,警告就消失了,问题解决、  

//cdn.gtlleon.com/wp-content/uploads/2017/06/5.png

本文链接:http://www.wpblog.gtlleon.com/2017/06/04/wordpress安装wp-super-cache警告-optbitnamiappswordpresshtdocswp-contentadvanced-cache-php-不存在或者不可被/

转载请注明出处。

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: